import axios, { AxiosRequestConfig } from 'axios';
import { staticMessages } from '~/driven/utils/configs/staticMessages';

export class HTTPBoundary {
  async request<R>(options: AxiosRequestConfig) {
    const response = await axios<R>(options);
    if (!response) throw new Error(staticMessages.service.errors[500]);

    return response.data;
  }
}
