import React from 'react'
import { ITableRowInfra } from './protocols'
import useTableRowVM from '../viewmodel/tableRowVM';
import TableRowView from '../view/TableRow';

export default function TableRow(props: ITableRowInfra) {
  const { rowData, selectedRowId, setSelectedRowId } = props;
  const { rowId } = rowData;

  const { isRowSelected } = useTableRowVM({selectedRowId, rowId});

  return <TableRowView isSelected={isRowSelected} rowData={rowData} setSelectedRowId={setSelectedRowId}/>
}
